<app-spinner *ngIf="itemsLoading"></app-spinner>

<div *ngIf="!itemsLoading && !showResult" class="quiz-items">
  <ul class="progress" *ngIf="!showResult">
    <li *ngFor="let item of quizItems; index as i" class="progress__item" [ngClass]="i + 1 <= quizStep ? 'active' : ''"></li>
  </ul>
  <ng-container *ngFor="let item of quizItems; index as i">
    <div class="quiz-item" [ngClass]="quizStep == i + 1 ? 'active' : ''">
      <app-quiz-question [question]="item" [order]="i + 1" (nextQuestion)="onNextQuestionRequest($event)"></app-quiz-question>
    </div>
  </ng-container>
</div>

<div class="result">
  <app-quiz-result *ngIf="showResult" [score]="quizScore"></app-quiz-result>
</div>
